package bank3tier.ut;

import multex.MultexUtil;

/**Contains utility methods an exceptions for Strings.*/
public class StringUtil {
	
	/**Missing value for field {0} in class {1}*/
	public static final class EmptyFieldExc extends multex.Exc {

		/**
		 * 
		 */
		private static final long serialVersionUID = 1L;

		/**Checks that the given fieldValue is neither null nor empty. The other parameters are passed into the diagnostic message.
		 * @param  object the object containing the field with the empty value*/
		public static void check(final String fieldValue, final String fieldName,final Object object) throws EmptyFieldExc {
			System.out.println(EmptyFieldExc.class.getSimpleName() + ".check(value="+ fieldValue + ", name=" + fieldName + ")");
			if(fieldValue==null || fieldValue.trim().isEmpty()){
				throw MultexUtil.create(EmptyFieldExc.class, fieldName, object.getClass().getSimpleName(), object.toString());
			}			
		}
	}
	

}
